-- VariableBeaconLights
--
-- Version 1.1
-- Autor Ralf08
-- 
-- Change log:
-- 22.03.2015 / Ralf08 / Release
-- 27.03.2015 / Ralf08 / new function adjustable with keys



VariableBeaconLights = {};

local VariableBeaconLights_directory = g_currentModDirectory;


function VariableBeaconLights:load()
	c = 0
	for k, v in pairs(self.beaconLights) do
		z = (math.random( 0 , 20) + 190) / 200
		self.beaconLights[k].speed = self.beaconLights[k].speed * z
		c = c +1
	end;
	self.beaconlightcount = c
	self.beaconlightactive = 1
	if self.beaconlightcount > 0 then
		self.isSelectable = true
	end;
end;

function VariableBeaconLights:delete()
end;

function VariableBeaconLights:mouseEvent(posX, posY, isDown, isUp, button)
end;

function VariableBeaconLights:keyEvent(unicode, sym, modifier, isDown)
end;

function VariableBeaconLights:update(dt)
	if self.beaconlightcount > 0 then
		-- if self:getIsActive() and self.isClient and self.isSelected then
		if self:getIsActiveForInput() then
			if InputBinding.hasEvent(InputBinding.variablebeaconlightsplus) then
				-- print("plus / ", self.beaconlightactive, " / ",self.beaconLights[self.beaconlightactive].speed)
				self.beaconLights[self.beaconlightactive].speed = self.beaconLights[self.beaconlightactive].speed * 1.05
			end;
			
			if InputBinding.hasEvent(InputBinding.variablebeaconlightsminus) then
				-- print("minus / ", self.beaconlightactive, " / ",self.beaconLights[self.beaconlightactive].speed)
				self.beaconLights[self.beaconlightactive].speed = self.beaconLights[self.beaconlightactive].speed * 0.95
			end;
			
			if InputBinding.hasEvent(InputBinding.variablebeaconlightsnext) then
				if self.beaconlightactive >= self.beaconlightcount then
					self.beaconlightactive = 1
				else
					self.beaconlightactive = self.beaconlightactive + 1
				end;
				-- print("next / ", self.beaconlightactive, " / ",self.beaconLights[self.beaconlightactive].speed)
			end;
		end;
	end;
end;

function VariableBeaconLights:updateTick(dt)
end;

function VariableBeaconLights:readStream(streamId, connection)
end;

function VariableBeaconLights:writeStream(streamId, connection)
end;

function VariableBeaconLights:draw()
end;

function VariableBeaconLights:onEnter()
end;

